<h1>Create User</h1>

<%= form_with model: @user, url: users_path, local: true do |user_form| %>
    
    <%= render 'components/errors', object: @user %>
    
    <p>
	<%= user_form.label :username %><br>
	<%= user_form.text_field :username %>
    </p>
    
    <strong>Address</strong>
    <%= user_form.fields_for :address do |address_form| %>
	
	<p>
	    <%= address_form.label :number %><br>
	    <%= address_form.text_field :number %>
	</p>
	<p>
	    <%= address_form.label :street %><br>
	    <%= address_form.text_field :street %>
	</p>
	<p>
	    <%= address_form.label :town_suburb, 'Town or Suburb'%><br>
	    <%= address_form.text_field :town_suburb %>
	</p>
	<p>
	    <%= address_form.label :region_city, 'Region or City' %><br>
	    <%= address_form.text_field :region_city %>
	</p>
	<p>
	    <%= address_form.label :postcode %><br>
	    <%= address_form.text_field :postcode %>
	</p>
	<p>
	    <%= address_form.label :icp, 'ICP' %><br>
	    <%= address_form.text_field :icp %>
	</p>
    <% end %>
    
    <p>
	<%= user_form.submit %>
    </p>
<% end %>
<br>
<%= link_to 'Cancel', root_path %>
